<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:tag="@string/title_home"
	tool:context="xyz.apiote.bimba.czwek.dashboard.ui.home.HomeFragment">

	<com.google.android.material.appbar.AppBarLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content">

		<com.google.android.material.search.SearchBar
			android:id="@+id/search_bar"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="8dp"
			android:contentDescription="@string/search_placeholder"
			android:hint="@string/search_placeholder"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			app:navigationIcon="@drawable/menu"
			app:useDrawerArrowDrawable="true"
			tool:ignore="ContentDescription" />
	</com.google.android.material.appbar.AppBarLayout>

	<com.google.android.material.search.SearchView
		android:id="@+id/search_view"
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:hint="@string/search_placeholder"
		app:layout_anchor="@id/search_bar">

		<androidx.recyclerview.widget.RecyclerView
			android:id="@+id/suggestions_recycler"
			android:layout_width="match_parent"
			android:layout_height="match_parent"
			app:layout_behavior="@string/appbar_scrolling_view_behavior" />
	</com.google.android.material.search.SearchView>

	<androidx.constraintlayout.widget.ConstraintLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<ImageView
			android:id="@+id/inari"
			android:layout_width="0dp"
			android:layout_height="0dp"
			android:layout_marginStart="16dp"
			android:layout_marginTop="64dp"
			android:layout_marginEnd="16dp"
			android:layout_marginBottom="16dp"
			android:alpha="0.25"
			android:src="@drawable/inari"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:ignore="ContentDescription" />

	</androidx.constraintlayout.widget.ConstraintLayout>

	<com.google.android.material.floatingactionbutton.FloatingActionButton
		android:id="@+id/floating_action_button"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_gravity="bottom|end"
		android:layout_margin="16dp"
		android:contentDescription="@string/home_fab_description"
		android:src="@drawable/gps_black"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toEndOf="parent" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>